xine-lib: xine-lib-1.2.13/src/post/goom/plugin_info.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions
plugin_info.c File Reference
`#include "goom_plugin_info.h"`
`#include "goom_fx.h"`
`#include "cpu_info.h"`
`#include "drawmethods.h"`
`#include <math.h>`
`#include <stdio.h>`
`#include <string.h>`

## Functions
static void | setOptimizedMethods (PluginInfo *p)
void | plugin_info_init (PluginInfo *pp, int nbVisuals)
void | plugin_info_add_visual (PluginInfo *p, int i, VisualFX *visual)

## Function Documentation

## ◆ plugin_info_add_visual()

void plugin_info_add_visual | ( | PluginInfo * | p,
|  | int | i,
|  | VisualFX * | visual )

References _PLUGIN_INFO::nbParams, _PLUGIN_INFO::nbVisuals, _PLUGIN_INFO::params, _SOUND_INFO::params, _VISUAL_FX::params, _PLUGIN_INFO::sound, and _PLUGIN_INFO::visuals.

Referenced by goom_init().

## ◆ plugin_info_init()

void plugin_info_init | ( | PluginInfo * | pp,
|  | int | nbVisuals )

References _SOUND_INFO::accel_p, _SOUND_INFO::accelvar, _PLUGIN_INFO::affiche, _SOUND_INFO::allTimesMax, _SOUND_INFO::biggoom_factor_p, _SOUND_INFO::biggoom_speed_limit_p, _PLUGIN_INFO::curGState, _PLUGIN_INFO::cyclesSinceLastChange, _PLUGIN_INFO::decay_ifs, _PLUGIN_INFO::drawLinesDuration, _SOUND_INFO::goom_limit, _SOUND_INFO::goom_limit_p, _SOUND_INFO::goom_power_p, _PLUGIN_INFO::goomvar, _PLUGIN_INFO::ifs_incr, IMAX, IMIN, ISTEP, IVAL, _SOUND_INFO::last_biggoom_p, _SOUND_INFO::last_goom_p, _PLUGIN_INFO::lineMode, _PLUGIN_INFO::lockvar, _PLUGIN_INFO::loopvar, _PLUGIN_INFO::nbParams, _PLUGIN_INFO::nbVisuals, NORMAL_MODE, _PARAMETERS::params, _SOUND_INFO::params, plugin_parameters, _PLUGIN_INFO::previousZoomSpeed, _SOUND_INFO::prov_max, _PLUGIN_INFO::recay_ifs, secure_f_feedback, secure_i_param, setOptimizedMethods(), _PLUGIN_INFO::sintable, _PLUGIN_INFO::sound, _SOUND_INFO::speed_p, _SOUND_INFO::speedvar, _PLUGIN_INFO::states, _PLUGIN_INFO::stateSelectionBlocker, _PLUGIN_INFO::stateSelectionRnd, _PLUGIN_INFO::statesNumber, _PLUGIN_INFO::statesRangeMax, _PLUGIN_INFO::stop_lines, _PLUGIN_INFO::switchIncr, _PLUGIN_INFO::switchIncrAmount, _PLUGIN_INFO::switchMult, _PLUGIN_INFO::switchMultAmount, _PLUGIN_INFO::timeOfTitleDisplay, _SOUND_INFO::totalgoom, _PLUGIN_INFO::update, _PLUGIN_INFO::update_message, _PLUGIN_INFO::visuals, _SOUND_INFO::volume_p, and _PLUGIN_INFO::zoomFilterData.

Referenced by goom_init().

## ◆ setOptimizedMethods()

static void setOptimizedMethods | ( | PluginInfo * | p | ) |
| static

References cpu_flavour(), CPU_OPTION_64_BITS, CPU_OPTION_ALTIVEC, CPU_OPTION_MMX, CPU_OPTION_XMMX, _PLUGIN_INFO::draw_line, draw_line(), draw_line_mmx(), _PLUGIN_INFO::methods, ppc_zoom_G4(), ppc_zoom_generic(), _PLUGIN_INFO::zoom_filter, zoom_filter_c(), zoom_filter_mmx(), and zoom_filter_xmmx().

Referenced by plugin_info_init().